Properties
For authentication instructions, see API overview.
Endpoints
get
List all properties
Returns a list of properties. The properties are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/propertiesResponse
No response schemapost
Create property
Create property. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringtypestringaddressobjectlocationstringpricenumbersurfacenumberexpensenumberpriceBasenumberrealmIdstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/properties \ -d 'name="property1"' \ -d 'type="type1"' \ -d 'address="object"' \ -d 'location="string"' \ -d 'price=1000' \ -d 'surface=100' \ -d 'expense=100' \ -d 'priceBase=100' \ -d 'realmId="609a8f85c2834915d0a5a5e8"'Response
No response schemaget
Retrieve property
Returns a single propert, which you can request by passing through an id in the url.
Path parameters
idstringID of the property
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/properties/:idResponse
No response schemapatch
Update property soft
Update property soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the property
Request body
namestringtypestringaddressobjectlocationstringpricenumbersurfacenumberexpensenumberpriceBasenumberrealmIdstring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/properties/:id \ -d 'name="property1"' \ -d 'type="type1"' \ -d 'address="object"' \ -d 'location="string"' \ -d 'price=1000' \ -d 'surface=100' \ -d 'expense=100' \ -d 'priceBase=100' \ -d 'realmId="609a8f85c2834915d0a5a5e8"'Response
No response schemadelete
Delete property
Path parameters
idstringID of the property
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/properties/:id